Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# GraceTMPL::EnvironmentUser Class Reference

Base class for any class that should use Environment. More...

`#include <gracetmpl.h>`

Inheritance diagram for GraceTMPL::EnvironmentUser::

List of all members.

## Public Methods

| EnvironmentUser ()
| Constructor.
| ~EnvironmentUser ()
| Destructor.
Environment * | env ()
| Returns the pointer to the Environment.
void | setenv (Environment *env)
| set a new Environment for this class. More...
void | setenv (const std::string &name, const std::string &value)
| Set a name/value pair - existing entries will be replaced.
void | setenv (const std::string &name, double value)
| Set a name/value pair - existing entries will be replaced.
std::string | expand (const std::string &str, int nests=0)
| A wrapper function for Environment::expand().

## Protected Attributes

Environment * | env_
| Pointer to the Environment.

## Detailed Description

Base class for any class that should use Environment.

This class provides transparent access to the Environment hierarchy.

## Member Function Documentation

void GraceTMPL::EnvironmentUser::setenv | ( | Environment * | env | ) | `[inline]`

| set a new Environment for this class. Used internally to allow setting an Environment for a new Environment user.

The documentation for this class was generated from the following file:

- gracetmpl.h